Bug 1451936 - [RFE]: osd: deletes are performed inline during pg log processing
Summary: [RFE]: osd: deletes are performed inline during pg log processing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: Josh Durgin
QA Contact: Parikshith
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-05-17 23:11 UTC by Josh Durgin
Modified: 2018-01-08 16:07 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.1.4-1.el7cp Ubuntu: ceph_12.1.4-2redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Delete operations are handled during recovery, not peering When a large number of delete operations were in a client workload, a disk could be easily saturated during peering, which caused very high latency, because the delete operations did not go through the operations queue or do any batching. With this update the delete operations are handled during recovery, instead of peering.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:33:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC
Ceph Project Bug Tracker 19971 None None None 2017-05-17 23:11:50 UTC

Description Josh Durgin 2017-05-17 23:11:51 UTC
With a large number of deletes in a client workload, this can easily saturate a disk and cause very high latency, since it does not go through the op queue or do any batching.

To fix this, make recovery handle these deletes instead of performing them during peering.

Comment 9 Parikshith 2017-11-06 10:02:34 UTC
verified on 12.2.1-39.el7cp

Comment 12 errata-xmlrpc 2017-12-05 23:33:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.